#[cfg(feature = "async-std-task")]
pub use join_handle_ext::*;

#[cfg(feature = "async-std-task")]
mod join_handle_ext {
    use async_std::task::JoinHandle;

    use crate::DropFn;

    crate::macros::join_handle_ext!(JoinHandleExt for JoinHandle, AbortOnDrop, cancel, |T| T);
}
